Bug 1118927 - [Sprint 51] Customizing JBoss EWS or EAP cartridge template needs to modify its pom.xml
Summary: [Sprint 51] Customizing JBoss EWS or EAP cartridge template needs to modify i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Bilhar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 00:55 UTC by Kenjiro Nakayama
Modified: 2019-03-22 07:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 20635, Deployment Guide-2-1.0 Build Date: 24-06-2014 12:35:12 Topic IDs: 30290-666763 [Latest]
Last Closed: 2015-03-30 20:11:37 UTC


Attachments (Terms of Use)

Description Kenjiro Nakayama 2014-07-12 00:55:34 UTC
Title: Customizing OSE cartridge template needs to modify its pom.xml

Describe the issue: 

If we cutomize the JBoss EWS or EAP cartridge by following documentation step[1], its groupId, artifact, etc in pom.xml have "template". The doc should say that and how to solve it. I linked [2], since I think [2] is good reference to fix doc.

[1] https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html/Deployment_Guide/chap-Customizing_OpenShift_Enterprise.html

[2] http://sosiouxme.wordpress.com/2014/02/18/customizing-openshift-jboss-confs-without-customizing-the-cartridge/
~~~
Edit the pom.xml file. This is optional, but you may want to use a different groupId, artifactId, etc. than just the “template” app name. It’s possible to use env vars here, e.g.

<groupId>${env.OPENSHIFT_APP_DNS}</groupId>
~~~

Comment 8 Luke Meyer 2014-09-29 19:03:31 UTC
While it's true:

~~~
It’s possible to use env vars here, e.g.

<groupId>${env.OPENSHIFT_APP_DNS}</groupId>
~~~

... please note the caveats that come after that too :)  (eternal maven warnings and possible removal of the feature). It works fine, probably will continue to do so, but people should know to expect the results.

Comment 16 Alex Dellapenta 2015-03-30 20:11:37 UTC
This issue will be addressed in the next docs publication, should be within the next week, or at least end of current sprint (4/10/15). Will update status here again when published.


Note You need to log in before you can comment on or make changes to this bug.